if object_id('EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL') is null
BEGIN
        SET ANSI_NULLS ON  
        SET QUOTED_IDENTIFIER ON 
        CREATE TABLE [dbo].[EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL](
                [CD_USU] [int] NOT NULL,
                [CD_PROD] [int] NOT NULL,
                [CD_FILIAL] [int] NOT NULL,
                [QTDE_PROD]        MONEY NOT NULL DEFAULT 0,
                [VLR_PROD]        MONEY NOT NULL DEFAULT 0,
                [PERC_DESC] MONEY NOT NULL DEFAULT 0
         CONSTRAINT [PK_EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL] PRIMARY KEY CLUSTERED 
        (        
                [CD_USU] ASC,
                [CD_PROD] ASC,
                [CD_FILIAL] ASC
        )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
        ) ON [PRIMARY]
        ALTER TABLE [dbo].[EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL_GLB_USU] FOREIGN KEY([CD_USU])
                REFERENCES [dbo].[GLB_USU] ([CD_USU])
        ON UPDATE CASCADE
        ALTER TABLE [dbo].[EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL] CHECK CONSTRAINT [FK_EST_PROD_SUPRIMENTO_ENTREGA_LOJA_QTDE_DEFINIDA_POR_FILIAL_GLB_USU]
END